package org.jraf.android.lottietest;

import android.databinding.DataBindingUtil;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;

import com.airbnb.lottie.layers.LottieDrawable;
import com.airbnb.lottie.model.LottieComposition;

import org.jraf.android.lottietest.databinding.MainBinding;

public class MainActivity extends AppCompatActivity {

    private MainBinding mMainBinding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        mMainBinding = DataBindingUtil.setContentView(this, R.layout.main);
        testLottie();
    }

    private void testLottie() {
        LottieDrawable lottieDrawable = new LottieDrawable();
        mMainBinding.imgLottie.setLayerType(View.LAYER_TYPE_SOFTWARE, null);
        mMainBinding.imgLottie.setImageDrawable(lottieDrawable);
        LottieComposition.fromAssetFileName(this, "TwitterHeart.json", (composition) -> {
            lottieDrawable.setComposition(composition);
            lottieDrawable.loop(true);
            lottieDrawable.playAnimation();
        });
    }
}
